IF OBJECT_ID('dbo.fdt_embargos') IS NULL
CREATE TABLE dbo.fdt_embargos
(
    compania            char(4) NOT NULL,
    trabajador          char(10) NOT NULL,
    concepto            smallint NOT NULL,
    secuencia           tinyint NOT NULL,
    fecha_alta          smalldatetime NULL,
    fecha_baja          smalldatetime NULL,
    situacion           tinyint NULL,
    consecutivo_oficina decimal(6,0) NULL,
    oficina_origen      char(4) NULL,
    oficina_destino     char(4) NULL,
    clase_deposito      tinyint NULL,
    numero_expediente   varchar(20) NULL,
    codigo_juzgado      decimal(12,0) NULL,
    banco               tinyint NULL,
    cuenta              decimal(12,0) NULL,
    tipo_id_demandante  tinyint NULL,
    id_demandante       decimal(11,0)  NULL,
    apellido_demandante varchar(20) NULL,
    nombre_demandante   varchar(100) NULL,
    agr_conceptos_base  char(3) NULL,
    concepto_base       smallint NULL,
    quinta_parte        tinyint NULL,
    monto_total         decimal(14,2) NULL,
    saldo_actual        decimal(14,2) NULL,
    porcentaje          decimal(5,2) NULL,
    cuota_fija          decimal(14,2) NULL,
    ciudad_pago         char(2) NULL,
    porcentaje_aumento	tinyint NULL,
    valor_aumento       decimal(14,2) NULL,
    mes_aumento		tinyint NULL,
    anio_desde		integer NULL,
    CONSTRAINT PK_fdt_embargos PRIMARY KEY NONCLUSTERED 
    (compania, trabajador, concepto, secuencia) 
)
ON [PRIMARY]

GRANT ALL ON fdt_embargos TO PUBLIC
GO
IF NOT EXISTS (SELECT 1 FROM syscolumns sc INNER JOIN sysobjects so ON sc.id = so.id WHERE sc.name = 'porcentaje_aumento' AND so.name = 'fdt_embargos')
BEGIN
    ALTER TABLE fdt_embargos ADD porcentaje_aumento	tinyint NULL
    ALTER TABLE fdt_embargos ADD valor_aumento decimal(14,2) NULL
    ALTER TABLE fdt_embargos ADD mes_aumento tinyint NULL
    ALTER TABLE fdt_embargos ADD anio_desde integer NULL 
END
GO
